export interface Foo {
}
export interface LinkRelHTMLWebpackPluginOptionFile {
    /**
     * The file to match. Can be a literal string or (more likely) a regular expression.
     */
    file: string | RegExp;
    /**
     * The `rel` attribute to use for <link>
     */
    rel?: string;
    /**
     * The `title` attribute to use for <link>
     */
    title?: string;
}
/**
 * Options for the LinkRelHTMLWebpack plugin.
 */
export interface LinkRelHTMLWebpackPluginOptions {
    files: LinkRelHTMLWebpackPluginOptionFile[];
}
/**
 * Allows you to modify the `rel` and `title` attribute on <link> elements injected by HTML Webpack Plugin.
 * This can be used to specify some stylesheets as alternate stylesheets for accessibility or theming
 * purposes.
 */
export declare class LinkRelHTMLWebpackPlugin {
    private options;
    constructor(options: LinkRelHTMLWebpackPluginOptions);
    private isStylesheetLink(def);
    private selectFileOptions(href);
    private modifyRelAttribute(definition);
    apply(compiler: any): void;
}
export default LinkRelHTMLWebpackPlugin;
